MText Struct Reference

Type of M-texts. More...

Collaboration diagram for MText:
[legend]

## Data Fields

M17NObject | control
unsigned | format: 16
unsigned | coverage: 16
int | nchars
int | nbytes
unsigned char * | data
int | allocated
struct MTextPlist * | plist
int | cache_char_pos
int | cache_byte_pos

## Detailed Description

Type of M-texts.

The type MText is for an M-text object. Its internal structure is concealed from application programs.

## Field Documentation

## control

M17NObject MText::control

## format

unsigned MText::format

## coverage

unsigned MText::coverage

## nchars

int MText::nchars

## nbytes

int MText::nbytes

## data

unsigned char* MText::data

## allocated

int MText::allocated

## plist

struct MTextPlist* MText::plist

## cache_char_pos

int MText::cache_char_pos

## cache_byte_pos

int MText::cache_byte_pos